summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2007-10-02 10:50:42 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 15:07:39 -0500
commit569903dd0c8adb8e529c8a87da841e3a01baaa7f (patch)
treec98ef9d148edc14c425f19171559a0072dd3ea1b
parent1da355548820e1ec26e340dc928a9bd08259330d (diff)
downloadsamba-569903dd0c8adb8e529c8a87da841e3a01baaa7f.tar.gz
samba-569903dd0c8adb8e529c8a87da841e3a01baaa7f.tar.bz2
samba-569903dd0c8adb8e529c8a87da841e3a01baaa7f.zip
r25459: Avoid bashism. Reported by Björn Jacke.
(This used to be commit a03e09b878ad455facbb8ff47207bc5534fa9aca)
-rwxr-xr-xsource4/selftest/test_rpc.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/source4/selftest/test_rpc.sh b/source4/selftest/test_rpc.sh
index 6fc959b312..3ac4e3de66 100755
--- a/source4/selftest/test_rpc.sh
+++ b/source4/selftest/test_rpc.sh
@@ -17,7 +17,8 @@ all_tests="$ncalrpc_tests $ncacn_np_tests $ncacn_ip_tcp_tests $slow_ncalrpc_test
# Make sure all tests get run
for t in `$samba4bindir/smbtorture --list | grep "^RPC-"`
do
- if ! echo $all_tests | grep $t > /dev/null
+ echo $all_tests | grep $t > /dev/null
+ if [ $? -ne 0 ]
then
auto_rpc_tests="$auto_rpc_tests $t"
fi